<div id='root'></div>
<script src="https://unpkg.com/react@16/umd/react.development.js"></script>
<script src="https://unpkg.com/react-dom@16/umd/react-dom.development.js"></script>
<script src="https://unpkg.com/babel-standalone@6.26.0/babel.js"></script>
<script src="https://unpkg.com/prop-types@15.6.1/prop-types.js"></script>

<script type='text/babel'>
  const rootElement = document.getElementById('root')
  class Message extends React.Component {
    static propTypes = {
      name: PropTypes.string.isRequired
    }
    render(){
      return <div>Hello {this.props.name || 'Unknown'}!</div>
    }
  }

  const element = (
    <div>
      <Message name="Naruto" />
      <Message name="Hashirama" />
      <Message />
    </div>
  )

  ReactDOM.render(element, rootElement)

/*EXERCISE

How could you validate that the firstName and lastName props are each a string (and required) using  PropTypes from the prop-types package?
function SayHello(props) {
  return (
    <div>
      Hello {props.firstName} {props.lastName}!
    </div>
  )
}

SayHello.propTypes = {
  firstName: PropTypes.string.isRequired,
  lastName: PropTypes.string.isRequired
}*/

</script>
